#! /usr/bin/perl
#
# jpnNum.pl -- 英数字を漢数字に変える

use 5.010;
use strict;
use warnings;

say "6:", &jpnNum(6);
say "70:", &jpnNum(70);
say "6700:", &jpnNum(6700);

sub jpnNum { # 英数字を漢数字に変えるサブルーチン
    my $str = shift;
    my @arr = split //, $str;
    my @table = qw/ 零 一 ニ 三 四 五 六 七 八 九 十 /;

    for my $arr (@arr) {
	$arr = $table[$arr];
    }
    return join "", @arr;
}
