#! /usr/bin/perl
#
# use_utf8.pl -- use utf8の実験（Windows、Mac／Linuxの両方で動く）
# （※UTF-8で保存し、改行コードはLFにする）

use 5.010;
use strict;
use warnings;

use utf8;
if ($^O eq "MSWin32") {
    binmode STDOUT, ":encoding(Shift_JIS)";
} else {
    binmode STDOUT, ":encoding(UTF-8)";
}

my $str = "ABCDEあいうえお";
say "文字列【$str】の長さは".length($str)."です";
say "関数substr(\$str,3,6)の答えは".substr($str,3,6)."です";
