#! /usr/bin/perl
#
# uriageSummary6.pl -- 1̔グT}[iAyhj

use 5.010;
use strict;
use warnings;

my $uriage_file = shift;
my $uriage_summary_file = "uriage_summary.txt";

unless (-f $uriage_summary_file) {
    open UREYUKI, ">", $uriage_summary_file
        or die "cannot open $uriage_summary_file because $!\n";
    select UREYUKI;
    say "# uriage_summary.txt";
    say "# name\tureyuki";
    close UREYUKI;
}

my %uriage;
open URIAGE, "<", $uriage_file
    or die "cannot open $uriage_file because $!\n";

while (<URIAGE>) {
    chomp;
    next if substr($_, 0, 1) eq "#";
    my ($name, $kosuu) = split;
    $uriage{$name} += $kosuu;
}
close URIAGE;

open UREYUKI, ">>", $uriage_summary_file
    or die "cannot open $uriage_summary_file because $!\n";
select UREYUKI;

say "# ", scalar localtime(time);

for my $name (sort keys %uriage) {
    say join "\t", $name, $uriage{$name};
}

close UREYUKI;
