#! /usr/bin/perl
#
# monthName.pl -- 月の名前から順番を割り出そう

use 5.010;
use strict;
use warnings;

my $year = "January 1 February 2 March 3 April 4 May 5 June 6 July 7 August 8 September 9 October 10 November 11 December 12 ";

my $month = "March"; # 他の月を調べたいときはここを変更する

my $name = index($year, $month);
  # これで$monthのオフセットが得られる
my $num_s = index($year, " ", $name) + 1;
  # $monthの次に出てくる空白のオフセットを探す。
  # その次（$num_s）から月の順番が始まる
my $num_e = index($year, " ", $num_s) - 1;
  # さらに次に出てくる空白のオフセットを探す。
  # その前（$num_e）までが月の順番である
my $len = $num_e - $num_s + 1;
  # 月の順番の長さ（9月までは1、10月以降は2）を得る
my $num = substr $year, $num_s, $len;
  # 月の順番を得る

say "英語で$monthは$num月のことです。";
