#! /usr/bin/perl
#
# akb48_6.pl -- AKB48を管理する
# （keys関数とsort関数による名前順のメンバー一覧）

use 5.010;
use strict;
use warnings;

my $name = shift;

my %akb;

$akb{Atsuko} = "team A";
$akb{Haruna} = "team A";
$akb{Yuuko} = "team K";
$akb{Ayaka} = "team K";
$akb{Yuki} = "team B";
$akb{Mayu} = "team B";

$akb{Haruna} = "team B"; # 異動
$akb{Mayu} = "team A"; # 異動

delete $akb{Atsuko}; # 卒業

exists $akb{$name} or die "メンバー$nameはいません。\n";
say "$nameは$akb{$name}です！";
say "現在のメンバー一覧は以下の通り：", join " ", sort keys %akb;
