#! /usr/bin/perl
#
# heron4.pl -- ヘロンの公式で三角形の面積を計算（エラー メッセージを増強）

use 5.010;
use strict;
use warnings;

scalar @ARGV >= 3 or die "引数が3つ必要です\n";
my ($a, $b, $c) = @ARGV;

my $s = 1 / 2 * ($a + $b + $c);

my $t = $s * ($s - $a) * ($s - $b) * ($s - $c);

$t > 0 or die "3辺が", $a, "cm,", $b, "cm,", $c,
    "cmの三角形はありえません\n";

my $space = sqrt($t);

say "3辺が", $a, "cm,", $b, "cm,", $c, "cmの三角形の面積は",
    $space, "平方cmです";
