#! /usr/bin/perl
#
# trueFalse3.pl -- 真偽値で遊ぼう

use 5.010;
use strict;
use warnings;

if (0) {
       say "0は真だった！";
} else {
       say "0は偽だった！";
}

if (1) {
       say "1は真だった！";
} else {
       say "1は偽だった！";
}

if (2) {
       say "2は真だった！";
} else {
       say "2は偽だった！";
}

if ("") {
       say "空文字列は真だった！";
} else {
       say "空文字列は偽だった！";
}

if (" ") {
       say "空白文字は真だった！";
} else {
       say "空白文字は偽だった！";
}

if ("0") {
       say "文字列\"0\"は真だった！";
} else {
       say "文字列\"0\"は偽だった！";
}

my @arr = ();

if (@arr) {
       say "空リストは真だった！";
} else {
       say "空リストは偽だった！";
}

@arr = (1, 2, 3);

if (@arr) {
       say "3要素のリストは真だった！";
} else {
       say "3要素のリストは偽だった！";
}

my %hash = ();

if (%hash) {
       say "空ハッシュは真だった！";
} else {
       say "空ハッシュは偽だった！";
}

%hash = (key1 => "value", key2 => 0);

if (%hash) {
       say "2要素のハッシュは真だった！";
} else {
       say "2要素のハッシュは偽だった！";
}

if ($hash{key1}) {
       say "文字列valueが入っているハッシュ式の値は真だった！";
} else {
       say "文字列valueが入っているハッシュ式の値は偽だった！";
}

if ($hash{key2}) {
       say "ゼロが入っているハッシュ式の値は真だった！";
} else {
       say "ゼロが入っているハッシュ式の値は偽だった！";
}

if ($hash{key3}) {
       say "存在しないハッシュ式の値は真だった！";
} else {
       say "存在しないハッシュ式の値は偽だった！";
}

if (exists $hash{key2}) {
       say "存在するハッシュ式をexists関数に渡したら真だった！";
} else {
       say "存在するハッシュ式をexists関数に渡したら偽だった！";
}

if (exists $hash{key3}) {
       say "存在しないハッシュ式をexists関数に渡したら真だった！";
} else {
       say "存在しないハッシュ式をexists関数に渡したら偽だった！";
}

if (undef) {
       say "undefは真だった！";
} else {
       say "undefは偽だった！";
}

if (say "こんにちはー") {
       say "say関数の実行結果は真だった！";
} else {
       say "say関数の実行結果は偽だった！";
}
