#! /usr/bin/perl
#
# gcm.pl -- 最小公倍数を求める

use 5.010;
use strict;
use warnings;

my ($big, $small) = @ARGV;

if ($big < $small) {
    ($big, $small) = ($small, $big);
}

my $m = $big;

for (my $n = 2; $m % $small != 0; ++$n) {
    $m = $big * $n;
}

say "$bigと$smallの最小公倍数は$mです！";
