#! /usr/bin/perl
#
# fdump.pl -- ファイルをダンプする

use 5.010;
use strict;
use warnings;

my $fname = shift
    or die "specify file name! usage: fdump.pl file_name\n";
open FILE, "<", $fname or die "cannot open $fname because $!";
while (<FILE>) {
    print;
    my @chr = split //;
    my $first_line = "";
    my $last_line = "";
    for my $chr (@chr) {
        my ($first, $last) = split //, unpack("H2", $chr);
        $first_line .= $first;
        $last_line .= $last;
    }
    say $first_line;
    say $last_line;
}

close FILE;
