#! /usr/bin/perl
#
# s2u_open.pl -- Shift_JISからUTF-8に変換する（open関数版）

use 5.010;
use strict;
use warnings;
use utf8;

my $file_name = shift or die "specify input file\n";
$file_name =~ /\.txt$/
    or die "input file name $file_name should be *.txt\n";
open IN, "<:encoding(Shift_JIS)", $file_name
    or die "cannot open $file_name because $!";

$file_name =~ s/\.txt$/_u8.txt/;
open OUT, ">:encoding(UTF-8)", $file_name
    or die "cannot open $file_name because $!";

print OUT <IN>;

close IN;
close OUT;
