#! /usr/bin/perl
#
# substituteGlobal.pl -- 複数の単語を置換する（s///演算子の/g修飾子）

use 5.010;
use strict;
use warnings;

use utf8;

if ($^O eq "MSWin32") {
    binmode STDIN, ":encoding(Shift_JIS)";
    binmode STDOUT, ":encoding(Shift_JIS)";
} else {
    binmode STDIN, ":encoding(UTF-8)";
    binmode STDOUT, ":encoding(UTF-8)";
}

while (<STDIN>) {
    my $count = s/perl/Perl/g;
    warn "$count substitutions in line $.\n" if $count;
    print;
}
