#! /usr/bin/perl
#
# globalReplace.pl -- HTML の文字列を検索置換

use strict;
use warnings;
use File::Find;
use File::Copy;

find(\&fileProc, ".");

sub fileProc {
    my $fname = $_; # あとで $_ が変わるからここで取っておく

    return unless -f $_;
    return unless /\.html?$/;

    warn "processing $File::Find::name\n";

    open IN, "<", $fname;
    open TMP, ">", "$fname.temptemp";
           # こんなファイル名のファイルはないとする
    while (<IN>) {
        s{\(C\) Black Company Ltd\. 2014}
            {(C) White Company Ltd. 2015};
        print TMP;
    }
    close TMP;

    move("$fname.temptemp", $fname);
}
